<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for pageSection StructType
 * @subpackage Structs
 */
class PageSection extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The state
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $state;
    /**
     * The order
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $order;
    /**
     * Constructor method for pageSection
     * @uses PageSection::setName()
     * @uses PageSection::setState()
     * @uses PageSection::setOrder()
     * @param string $name
     * @param string $state
     * @param string $order
     */
    public function __construct($name = null, $state = null, $order = null)
    {
        $this
            ->setName($name)
            ->setState($state)
            ->setOrder($order);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\PageSection
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get state value
     * @return string|null
     */
    public function getState()
    {
        return $this->state;
    }
    /**
     * Set state value
     * @param string $state
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\PageSection
     */
    public function setState($state = null)
    {
        $this->state = $state;
        return $this;
    }
    /**
     * Get order value
     * @return string|null
     */
    public function getOrder()
    {
        return $this->order;
    }
    /**
     * Set order value
     * @param string $order
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\PageSection
     */
    public function setOrder($order = null)
    {
        $this->order = $order;
        return $this;
    }
}
